Bug 113076 - installer complains "That directory could not be mounted from the server " from PXE client
installer complains "That directory could not be mounted from the server " fr...
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-07 21:54 EST by Linda Lee
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-09 16:39:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Linda Lee 2004-01-07 21:54:53 EST
Description of problem:

Installed RH AS 3.0 on machine pxe_server and set it up as a PXE server.
The installer on the PXE client (pxe_client) complains that "That
directory could not be mounted from the server" after the client
successfully got the ip addr info from the server through DHCP.

But, from /var/log/messages on pxe_server, the mount request was
authenticated.  See below:

  ...rpc.mountd: authenticated mount request from pxe_client:614 for
/export/home/as3 (/export/home/as3)


Also, from some other machine in the same subnet as this pxe_client, I
could successfully mount pxe_server:/export/home/as3.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2004-01-08 10:58:12 EST
Is this reproducible?  What OS is the server running?
Comment 2 Linda Lee 2004-01-08 12:54:54 EST
I believe it is RedHat Linux 9, whatever bundled with RH AS 3. 

Did uname -a on server:

Linux pxe_server 2.4.21-4.ELsmp #1 SMP Fri Oct 3 17:52:56 EDT 2003
i686 i686 i386 GNU/Linux
Comment 3 Linda Lee 2004-01-08 13:56:36 EST
It is reproducible every time.
Comment 4 Rick Dennis 2004-01-29 21:43:18 EST
Today I got the same error.  Someone mentioned that it may pxe
successfully out physical eth0, but then once the install kernel and
initrd are loaded, it attempts to use physical eth1 as "eth0" to
install.  Any validity?  Thoughts?
Comment 5 Jeremy Katz 2004-02-12 16:34:06 EST
It's possible that what the BIOS sees as the first ethernet device
isn't the same as what it is in the OS.  Are you sure the request is
going out over the ethernet device you think it is?  What messages are
on tty3 and tty4?
Comment 6 Jeremy Katz 2004-06-09 16:39:39 EDT
Closing due to inactivity.  Please reopen if you have further
information to add to this report.

Note You need to log in before you can comment on or make changes to this bug.